#
# spec file for package perl-Devel-StackTrace-WithLexicals
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-StackTrace-WithLexicals
Version:        2.01
Release:        3.1
%define cpan_name Devel-StackTrace-WithLexicals
Summary:        Devel::StackTrace + PadWalker
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-StackTrace-WithLexicals/
Source0:        http://www.cpan.org/authors/id/S/SA/SARTAK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::StackTrace) >= 2.00
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(PadWalker) >= 1.98
Requires:       perl(Devel::StackTrace) >= 2.00
Requires:       perl(PadWalker) >= 1.98
%{perl_requires}

%description
the Devel::StackTrace manpage is pretty good at generating stack traces.

the PadWalker manpage is pretty good at the inspection and modification of
your callers' lexical variables.

the Devel::StackTrace::WithLexicals manpage is pretty good at generating
stack traces with all your callers' lexical variables.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Wed Oct 10 2018 opensuse@dstoecker.de
- Fix build
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.01
  see /usr/share/doc/packages/perl-Devel-StackTrace-WithLexicals/Changes
  2.01    2015-01-06
    Improve the synopsis (David Bradford)
    Part of CPAN Pull Request Challenge :)
  2.00    2014-11-12
    Devel::StackTrace 2.00 compat (dakkar) [rt.cpan.org #99957] [rt.cpan.org #100278]
* Wed Apr 27 2011 coolo@opensuse.org
- updated to 0.10
    Fix a minor packaging problem (Kent Fredric) [rt.cpan.org #67696]
    Remove old test that depended on broken UTF8 (reported by hanekomu)
* Wed Jan 19 2011 coolo@novell.com
- initial package 0.08
  * created by cpanspec 1.78.03
